<?php

	session_start();
	/*if (!isset($_SESSION['user_login_status']) AND $_SESSION['user_login_status'] != 1) {
        header("location: ../../login.php");
		exit;
    }*/
	/* Connect To Database*/
	include("../../admina/inc/db.php");
	//include("../../config/conexion.php");
	//Archivo de funciones PHP
	//include("../../funciones.php");
	$id_factura= intval($_GET['id_factura']);
	$sql_count=mysqli_query($conn,"select * from factura where idfactura='".$id_factura."'");
	$count=mysqli_num_rows($sql_count);
	if ($count==0)
	{
	echo "<script>alert('Factura no encontrada')</script>";
	echo "<script>window.close();</script>";
	exit;
	}
	$sql_factura=mysqli_query($conn,"select * from factura where idfactura='".$id_factura."'");
	$rw_factura=mysqli_fetch_array($sql_factura);
	$numero_factura=$rw_factura['numfact'];
	$id_cliente=$rw_factura['clientes_idclientes'];
	$fecha_factura=$rw_factura['fecha'];
	$condiciones=$rw_factura['condiciones'];
	$simbolo_moneda='$';
	require_once(dirname(__FILE__).'/../html2pdf.class.php');
    // get the HTML
     ob_start();
     include(dirname('__FILE__').'/res/ver_factura_html.php');
    $content = ob_get_clean();

    try
    {
        // init HTML2PDF
        $html2pdf = new HTML2PDF('P', 'B6', 'es', true, 'UTF-8', array(0, 0, 0, 0));
        // display the full page
        $html2pdf->pdf->SetDisplayMode('fullpage');
        // convert
        $html2pdf->writeHTML($content, isset($_GET['vuehtml']));
        // send the PDF
        $html2pdf->Output('Factura.pdf');
    }
    catch(HTML2PDF_exception $e) {
        echo $e;
        exit;
    }
